import 'package:cs_resources/generated/assets.dart';
import 'package:cs_resources/generated/l10n.dart';


class FacilityTypes {
  //对应的type类型 对应的icon的图片与宽高
  static Map<String, Map<String, dynamic>> iconMap = {
    //Function Room
    '1': {
      'name': S.current.function_room,
      'icon_path': Assets.facilityFunctionRoomIcon,
      'width': 39.0,
      'height': 39.5,
    },
    //Gourmet Pavilion
    '2': {
      'name': S.current.gourmet_pavilion,
      'icon_path': Assets.facilityGourmetPavilionIcon,
      'width': 38.0,
      'height': 33.5,
    },
    //Kids Party Room
    '3': {
      'name': S.current.kids_party_room,
      'icon_path': Assets.facilityKidsPartyRoomIcon,
      'width': 39.0,
      'height': 39.0,
    },
    //Media Room
    '4': {
      'name': S.current.media_room,
      'icon_path': Assets.facilityMediaRoomIcon,
      'width': 38.5,
      'height': 38.0,
    },
    //Pet Pavilion
    '5': {
      'name': S.current.pet_pavilion,
      'icon_path': Assets.facilityPetPavilionIcon,
      'width': 38.5,
      'height': 36.5,
    },
    //Tennis Court
    '6': {
      'name': S.current.tennis_court,
      'icon_path': Assets.facilityTennisCourt,
      'width': 38.5,
      'height': 38.5,
    },
  };

}
