import 'package:cpt_main/modules/feedback/feedback_page.dart';
import 'package:cs_resources/generated/assets.dart';
import 'package:cs_resources/generated/l10n.dart';
import 'package:flutter/material.dart';
import 'package:widgets/ext/ex_widget.dart';
import 'package:widgets/my_load_image.dart';

class MainState {
//底部数据Map
  final Map bottomMap = {
    S.current.home: [
      const MyAssetImage(
        //默认
        Assets.mainTabHomeUnselected,
        width: 20,
        height: 20,
      ).marginOnly(bottom: 4),
      const MyAssetImage(
        Assets.mainTabHomeSelected,
        width: 20,
        height: 20,
      ).marginOnly(bottom: 4),
      const MyAssetImage(
        //暗色
        Assets.mainTabHomeSelected,
        width: 20,
        height: 20,
        color: Colors.white,
      ).marginOnly(bottom: 4)
    ],
    S.current.visitor: [
      const MyAssetImage(
        Assets.mainTabVisitorUnselected,
        width: 20,
        height: 20,
      ).marginOnly(bottom: 4),
      const MyAssetImage(
        Assets.mainTabVisitorSelected,
        width: 20,
        height: 20,
      ).marginOnly(bottom: 4),
      const MyAssetImage(
        Assets.mainTabVisitorSelected,
        width: 20,
        height: 20,
        color: Colors.white,
      ).marginOnly(bottom: 4)
    ],
    S.current.feedback: [
      const MyAssetImage(
        Assets.mainTabFeedbackUnselected,
        width: 20,
        height: 20,
      ).marginOnly(bottom: 4),
      const MyAssetImage(
        Assets.mainTabFeedbackSelected,
        width: 20,
        height: 20,
      ).marginOnly(bottom: 4),
      const MyAssetImage(
        Assets.mainTabFeedbackSelected,
        width: 20,
        height: 20,
        color: Colors.white,
      ).marginOnly(bottom: 4)
    ],
    S.current.me: [
      const MyAssetImage(
        Assets.mainTabMeUnselected,
        width: 20,
        height: 20,
      ).marginOnly(bottom: 4),
      const MyAssetImage(
        Assets.mainTabMeSelected,
        width: 20,
        height: 20,
      ).marginOnly(bottom: 4),
      const MyAssetImage(
        Assets.mainTabMeSelected,
        width: 20,
        height: 20,
        color: Colors.white,
      ).marginOnly(bottom: 4),
    ],
  };
}
